<?php
return [
    'extends' => 'fid',
    'favicon' => 'favicon-32x32.png',
    'js' => [
        '../js/vendor/slim-select/dist/slimselect.min.js',
        'advanced_search_bbi.js',
        'theme.js',
    ],
    'mixins' => [
        'worldcat',
        'finc-dbis',
        'boss',
        'vufind-results-grouping'
    ],
    'helpers' => [
        'aliases' => [
            'flashmessages' => 'fid_bbi\View\Helper\Root\Flashmessages',
            'icon' => 'fid_bbi\View\Helper\Root\Icon',
            'record' => 'fid_bbi\View\Helper\Root\Record',
            'getit' => \fid_bbi\View\Helper\Root\GetIt::class,
            'getIt' => \fid_bbi\View\Helper\Root\GetIt::class,
        ],
        'factories' => [
            'fid_bbi\View\Helper\Root\Flashmessages' =>
                'VuFind\View\Helper\Root\FlashmessagesFactory',
            'fid_bbi\View\Helper\Root\Icon' =>
                'fid_bbi\View\Helper\Root\Icon',
            \fid_bbi\View\Helper\Root\Record::class =>
                \fid_bbi\View\Helper\Root\RecordViewHelperFactory::class,
            'VuFind\View\Helper\Root\RecordDataFormatter' =>
                'fid_bbi\View\Helper\Root\RecordDataFormatterFactory',
            \fid_bbi\View\Helper\Root\GetIt::class =>
                \fid\View\Helper\Root\GetItViewHelperFactory::class,
        ],
    ],
];
